Debian Bug report logs - #566725
score-reading-trainer: Change desktop file section and location

version graph

Package: score-reading-trainer; Maintainer for score-reading-trainer is Steffen Joeris <white@debian.org>;

Reported by: Petter Reinholdtsen <pere@hungry.com>

Date: Sun, 24 Jan 2010 20:33:04 UTC

Severity: normal

Tags: patch

Found in version score-reading-trainer/0.1.4-1

Fixed in version score-reading-trainer/0.1.4-2

Done: Steffen Joeris <white@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Steffen Joeris <white@debian.org>:
Bug#566725; Package score-reading-trainer. (Sun, 24 Jan 2010 20:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
New Bug report received and forwarded. Copy sent to Steffen Joeris <white@debian.org>. (Sun, 24 Jan 2010 20:33:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: submit@bugs.debian.org
Subject: score-reading-trainer: Change desktop file section and location
Date: Sun, 24 Jan 2010 21:31:22 +0100
Package:  score-reading-trainer
Version:  0.1.4-1
Tags:     patch
User:     debian-edu@lists.debian.org
UserTags: debian-edu

In a Debian Edu Squeeze installation, score-reading-trainer is the
only application showing up in the non-translated and "Edutainment"
KDE menu section.  The section also is missing a section icon, making
me believe it is a obsolete or non-official section.

A lot of other programs show up in the norwegian "Opplæring" section
(english Education).  For example the GNU solfege package show up in
Opplæring->Diverse (Education->Miscellaneous), which seem like a
Opplæring->sensible place to find score-reading-trainer too.  The
Opplæring->solfege desktop file is installed in
Opplæring->/usr/share/applications/, which I believe is the new place
Opplæring->to store desktop files.

The following untested patch should solve the issue.  The categories
list was copied from solfege after removing the GNOME entry.

Please get this fix implemented in time before Squeeze freezes to
allow us to clean up the default Debian Edu menu slightly.

diff -ur score-reading-trainer-0.1.4/debian/rules score-reading-trainer-0.1.4-pere/debian/rules
--- score-reading-trainer-0.1.4/debian/rules	2010-01-24 21:26:20.000000000 +0100
+++ score-reading-trainer-0.1.4-pere/debian/rules	2010-01-24 21:26:57.000000000 +0100
@@ -11,7 +11,7 @@
 common-install-arch:: debian/score-reading-trainer.xpm
 	install -D -m 644 debian/score-reading-trainer.xpm debian/score-reading-trainer/usr/share/pixmaps/score-reading-trainer.xpm
 	mv debian/score-reading-trainer/usr/bin/ScoreReadingTrainer debian/score-reading-trainer/usr/bin/score-reading-trainer
-	sed -i $(DEB_DESTDIR)/usr/share/applnk/Edutainment/Miscellaneous/ScoreReadingTrainer.desktop -e '/^Exec=/s/ScoreReadingTrainer/score-reading-trainer/'
+	sed -i $(DEB_DESTDIR)/usr/share/applications/ScoreReadingTrainer.desktop -e '/^Exec=/s/ScoreReadingTrainer/score-reading-trainer/'
 	chrpath -d $(DEB_DESTDIR)/usr/bin/score-reading-trainer
 
 clean::
diff -ur score-reading-trainer-0.1.4/src/Makefile.am score-reading-trainer-0.1.4-pere/src/Makefile.am
--- score-reading-trainer-0.1.4/src/Makefile.am	2007-08-25 21:51:03.000000000 +0200
+++ score-reading-trainer-0.1.4-pere/src/Makefile.am	2010-01-24 21:25:10.000000000 +0100
@@ -27,9 +27,9 @@
 
 KDE_ICON = ScoreReadingTrainer
 
-# this is where the kdelnk file will go 
-kdelnkdir   = $(kde_appsdir)/Edutainment/Miscellaneous
-kdelnk_DATA = ScoreReadingTrainer.desktop
+# this is where the desktop file will go 
+desktopdir   = $(datadir)/applications
+desktop_DATA = ScoreReadingTrainer.desktop
 
 # this is where the XML-GUI resource file goes
 rcdir = $(kde_datadir)/ScoreReadingTrainer
diff -ur score-reading-trainer-0.1.4/src/ScoreReadingTrainer.desktop score-reading-trainer-0.1.4-pere/src/ScoreReadingTrainer.desktop
--- score-reading-trainer-0.1.4/src/ScoreReadingTrainer.desktop	2007-08-25 21:51:03.000000000 +0200
+++ score-reading-trainer-0.1.4-pere/src/ScoreReadingTrainer.desktop	2010-01-24 21:21:25.000000000 +0100
@@ -9,3 +9,4 @@
 Comment=Improve scoring reading skills.
 Comment[es]=Mejorá tu habilidad para leer partituras.
 Terminal=0
+Categories=Application;AudioVideo;Audio;Education;

Happy hacking,
-- 
Petter Reinholdtsen




Reply sent to Steffen Joeris <white@debian.org>:
You have taken responsibility. (Mon, 25 Jan 2010 15:24:13 GMT) Full text and rfc822 format available.

Notification sent to Petter Reinholdtsen <pere@hungry.com>:
Bug acknowledged by developer. (Mon, 25 Jan 2010 15:24:13 GMT) Full text and rfc822 format available.

Message #10 received at 566725-close@bugs.debian.org (full text, mbox):

From: Steffen Joeris <white@debian.org>
To: 566725-close@bugs.debian.org
Subject: Bug#566725: fixed in score-reading-trainer 0.1.4-2
Date: Mon, 25 Jan 2010 15:22:21 +0000
Source: score-reading-trainer
Source-Version: 0.1.4-2

We believe that the bug you reported is fixed in the latest version of
score-reading-trainer, which is due to be installed in the Debian FTP archive:

score-reading-trainer_0.1.4-2.diff.gz
  to main/s/score-reading-trainer/score-reading-trainer_0.1.4-2.diff.gz
score-reading-trainer_0.1.4-2.dsc
  to main/s/score-reading-trainer/score-reading-trainer_0.1.4-2.dsc
score-reading-trainer_0.1.4-2_i386.deb
  to main/s/score-reading-trainer/score-reading-trainer_0.1.4-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 566725@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steffen Joeris <white@debian.org> (supplier of updated score-reading-trainer package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 25 Jan 2010 15:41:05 +0100
Source: score-reading-trainer
Binary: score-reading-trainer
Architecture: source i386
Version: 0.1.4-2
Distribution: unstable
Urgency: low
Maintainer: Steffen Joeris <white@debian.org>
Changed-By: Steffen Joeris <white@debian.org>
Description: 
 score-reading-trainer - trainer for reading music notes
Closes: 566725
Changes: 
 score-reading-trainer (0.1.4-2) unstable; urgency=low
 .
   * Fix menu entry in .desktop file to make sure it shows up under the
     category Education (Closes: #566725)
    - Use simple-patchsys to apply the patch and move all changes to the
      .desktop and Makefile.am into 01_fix-desktop-file.patch
     Thanks to Petter Reinholdtsen
   * Fix issues in debian/copyright
    - Explicitly point to GPL version2 rather than the symlink
    - Mention the copyright notice
   * Bump standard version to 3.8.3
Checksums-Sha1: 
 d8dab6abf54a9fb9f00eee64087ef50df3df692e 1125 score-reading-trainer_0.1.4-2.dsc
 2283185b345c68f72f9bfee598c62e249bfba5b7 9611 score-reading-trainer_0.1.4-2.diff.gz
 3f026df88c10a54dd41d7e97090d13706f0aa4f6 129988 score-reading-trainer_0.1.4-2_i386.deb
Checksums-Sha256: 
 78554e683f6d318a8c16768ef0211fd866c00b11b3b28cf83b1927b42e0889cf 1125 score-reading-trainer_0.1.4-2.dsc
 6a14a14b90f3f95b72066a3c3708e76fe42ba7fe4191f9f85ca1188c46ae7bc4 9611 score-reading-trainer_0.1.4-2.diff.gz
 b25101537b7de4aa6701f142fdcd152987f49f5b9f3296e0edd17111bfa039c1 129988 score-reading-trainer_0.1.4-2_i386.deb
Files: 
 0ace0ed3a39ef1dd7aaa0e810514d03f 1125 kde optional score-reading-trainer_0.1.4-2.dsc
 cb65a93cc64369ead29ce95c688ea59f 9611 kde optional score-reading-trainer_0.1.4-2.diff.gz
 d5c7aba4f021a80754f2b9d41b8ce687 129988 kde optional score-reading-trainer_0.1.4-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAktdsO8ACgkQ62zWxYk/rQcczgCgh64J88YVFFoMabfD77WDWv3v
RYkAoMBEpjmjCN9zQIwjq+rc1eceTVz4
=+oQL
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 05 Mar 2010 07:30:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:08:07 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.